XnRecorderOutputStreamInterface Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnStatus(* | Open )(void *pCookie)
XnStatus(* | Write )(void *pCookie, const XnChar *strNodeName, const void *pData, XnUInt32 nSize)
XnStatus(* | Seek )(void *pCookie, XnOSSeekType seekType, const XnInt32 nOffset)
XnUInt32(* | Tell )(void *pCookie)
void(* | Close )(void *pCookie)
XnStatus(* | Seek64 )(void *pCookie, XnOSSeekType seekType, const XnInt64 nOffset)
XnUInt64(* | Tell64 )(void *pCookie)

## Detailed Description

An interface used for communication between OpenNI and a recorder module. This interface is used by a recorder module to send recorded data to OpenNI, which then knows how to store them according to one of the values of XnRecordMedium.

## Member Data Documentation

## Close

void(* XnRecorderOutputStreamInterface::Close) (void *pCookie)

Closes the stream.

Parameters

  pCookie | [in] A token that was received with this interface.

## Open

XnStatus(* XnRecorderOutputStreamInterface::Open) (void *pCookie)

Opens the stream for writing.

Parameters

  pCookie | [in] A token that was received with this interface.

## Seek

XnStatus(* XnRecorderOutputStreamInterface::Seek) (void *pCookie, XnOSSeekType seekType, const XnInt32 nOffset)

Sets the stream's pointer to the specified position.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  seekType | [in] Specifies how to seek - according to current position, end or beginning.
  nOffset | [in] Specifies how many bytes to move

## Seek64

XnStatus(* XnRecorderOutputStreamInterface::Seek64) (void *pCookie, XnOSSeekType seekType, const XnInt64 nOffset)

Sets the stream's pointer to the specified position. (64bit version, for large files)

Parameters

  pCookie | [in] A cookie that was received with this interface.
  seekType | [in] Specifies how to seek - according to current position, end or beginning.
  nOffset | [in] Specifies how many bytes to move

## Tell

XnUInt32(* XnRecorderOutputStreamInterface::Tell) (void *pCookie)

Tells the current position in the stream.

Parameters

  pCookie | [in] A cookie that was received with this interface.
  pPos | [out] The position of the stream.

Returns
  (XnUInt32)-1 on error.

## Tell64

XnUInt64(* XnRecorderOutputStreamInterface::Tell64) (void *pCookie)

Tells the current position in the stream. (64bit version, for large files)

Parameters

  pCookie | [in] A cookie that was received with this interface.
  pPos | [out] The position of the stream.

Returns
  (XnUInt64)-1 on error.

## Write

XnStatus(* XnRecorderOutputStreamInterface::Write) (void *pCookie, const XnChar *strNodeName, const void *pData, XnUInt32 nSize)

Writes data to the stream

Parameters

  pCookie | [in] A token that was received with this interface.
  strNodeName | [in] Optional. Specifies the node that initiated the write action.
  pData | [in] A pointer to the data to write.
  nSize | [in] Number of bytes to be written.

The documentation for this struct was generated from the following file:

- XnTypes.h